> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/camera-to-cloud/api-reference/create-comment-c-2-c/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Create a Comment from a C2C device POST https://api.frame.io/v2/devices/assets/{asset_id}/comments Content-Type: application/json Leave a comment on an Asset from a paired C2C device. Reference: https://next.developer.frame.io/camera-to-cloud/api-reference/create-comment-c-2-c ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `asset_id` (string, required) — Asset ID ### Body (application/json) This endpoint expects an object. - `text` (string, required) — The body of the comment. - `timestamp` (double, optional) — Timestamp for the comment, in frames, starting at 0. Comments can be "global" to an asset in which you don't provide the timestamp. ## Response ### 200 C2C Comment success response - `annotation` (string, optional) - `completed` (boolean, optional) - `completed_at` (string, optional) - `completer_id` (string, optional) - `has_replies` (boolean, optional) - `id` (string, optional) - `like_count` (integer, optional) - `owner` (User, optional) — User model - `owner_id` (string, optional) - `text` (string, optional) - `timestamp` (integer, optional) - `_type` (string, optional) - `anonymous_user_id` (string, optional) - `aspect_ratio` (double, optional) - `asset_id` (string, optional) - `comment_entities` (list of any, optional) - `deleted_at` (string, optional) - `device_channel_input_id` (string, optional) - `duration` (integer, optional) - `fov` (integer, optional) - `frame` (double, optional) - `inserted_at` (string, optional) - `page` (integer, optional) - `parent_id` (string, optional) - `pitch` (integer, optional) - `private` (boolean, optional) - `read_count` (integer, optional) - `review_link_id` (string, optional) - `target_asset_id` (string, optional) - `text_edited_at` (string, optional) - `thumb` (string, optional) - `timestamp_microseconds` (integer, optional) - `updated_at` (string, optional) - `yaw` (integer, optional) ## Errors ### 400 Bad Request Error Bad Request - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 401 Unauthorized Error Unauthorized response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 404 Not Found Error Not Found response - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ### 429 Too Many Requests Error Standard frame.io API error response. - `code` (integer, optional) - `errors` (list of HttpErrorErrorsItems, optional) - `message` (string, optional) ## Types ### User User model - `digest_frequency` (string, optional) - `features_seen` (any, optional) - `profile_image_original` (any, optional) - `image_32` (string, optional) - `image_128` (string, optional) - `from_google` (boolean, optional) - `mfa_enforced_at` (string, optional) - `email` (string, optional) - `bio` (any, optional) - `name` (string, optional) - `image_64` (string, optional) - `timezone_value` (string, optional) - `account_id` (string, optional) - `updated_at` (string, optional) - `image_256` (string, optional) - `_type` (string, optional) - `user_hash` (string, optional) - `context` (any, optional) - `upload_url` (string, optional) - `location` (any, optional) - `phone` (any, optional) - `deleted_at` (any, optional) - `profile_image` (string, optional) - `first_login_at` (string, optional) - `joined_via` (string, optional) - `email_confirm_by` (any, optional) - `id` (string, optional) - `next_digest_date` (string, optional) - `email_preferences` (any, optional) - `last_seen` (string, optional) - `inserted_at` (string, optional) - `from_adobe` (boolean, optional) - `avatar_color` (string, optional) - `highest_account_role` (string, optional) - `integrations` (list of string, optional) - `roles` (UserRoles, optional) - `user_default_color` (string, optional) ### HttpErrorErrorsItems - `code` (integer, optional) - `detail` (string, optional) - `status` (integer, optional) - `title` (string, optional) ### UserRoles - `admin` (boolean, optional) - `id` (string, optional) - `sales` (boolean, optional) - `support` (boolean, optional) - `service_desk` (boolean, optional) ## Examples **Request** ```json { "text": "string" } ``` **Response** ```json { "annotation": "string", "completed": false, "completed_at": "string", "completer_id": "string", "has_replies": false, "id": "eeeeeeee-eeee-eeee-eeee-eeeeeeeeeeee", "like_count": 0, "owner": { "digest_frequency": "0 * * * *", "features_seen": "string", "profile_image_original": "string", "image_32": "string", "image_128": "string", "from_google": false, "mfa_enforced_at": "string", "email": "jane@frame.io", "bio": "string", "name": "Jane Doe", "image_64": "string", "timezone_value": "America/New_York", "account_id": "string", "updated_at": "2025-12-19T14:55:05.324848Z", "image_256": "string", "_type": "user", "context": { "company_name": "string", "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa", "industry": "string", "job_title": "string", "role": "string", "team_size": 2 }, "upload_url": "string", "location": "string", "phone": "string", "deleted_at": "string", "profile_image": "https://static-assets.frame.io/app/anon.jpg", "first_login_at": "2025-09-17T18:09:39.768640Z", "joined_via": "organic", "email_confirm_by": "string", "id": "cccccccc-cccc-cccc-cccc-cccccccccccc", "next_digest_date": "2025-09-17T18:09:35.668306Z", "email_preferences": "string", "last_seen": "string", "inserted_at": "2025-09-17T18:09:35.685694Z", "from_adobe": true, "avatar_color": "yellow", "highest_account_role": "string", "integrations": [ "string" ], "roles": { "admin": false, "id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb", "sales": true, "support": true, "service_desk": false }, "user_default_color": "#ff409f" }, "owner_id": "cccccccc-cccc-cccc-cccc-cccccccccccc", "text": "This is a comment from the camera", "timestamp": 33, "_type": "comment", "anonymous_user_id": "string", "aspect_ratio": 1.777778, "asset_id": "dddddddd-dddd-dddd-dddd-dddddddddddd", "comment_entities": [], "deleted_at": "string", "device_channel_input_id": "string", "duration": 1, "fov": 65, "frame": 33, "inserted_at": "2026-01-28T19:31:40.501158Z", "page": 1, "parent_id": "string", "pitch": 1, "private": true, "read_count": 0, "review_link_id": "string", "target_asset_id": "string", "text_edited_at": "string", "thumb": "string", "timestamp_microseconds": 1, "updated_at": "2026-01-28T19:31:40.523368Z", "yaw": 1 } ``` **SDK Code** ```python response import requests url = "https://api.frame.io/v2/devices/assets/asset_id/comments" payload = { "text": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript response const url = 'https://api.frame.io/v2/devices/assets/asset_id/comments'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"text":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go response package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v2/devices/assets/asset_id/comments" payload := strings.NewReader("{\n \"text\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby response require 'uri' require 'net/http' url = URI("https://api.frame.io/v2/devices/assets/asset_id/comments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"text\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v2/devices/assets/asset_id/comments") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"text\": \"string\"\n}") .asString(); ``` ```php response request('POST', 'https://api.frame.io/v2/devices/assets/asset_id/comments', [ 'body' => '{ "text": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp response using RestSharp; var client = new RestClient("https://api.frame.io/v2/devices/assets/asset_id/comments"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"text\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift response import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["text": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/devices/assets/asset_id/comments")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```